Light.Point (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.effect, class: Light, class: Point

# Class Light.Point

java.lang.Object
javafx.scene.effect.Light
javafx.scene.effect.Light.Point

Direct Known Subclasses:
  `Light.Spot`

Enclosing class:
  `Light`

public static class Light.Point extends Light
Represents a light source at a given position in 3D space.

Example:

    Light.Point light = new Light.Point();
    light.setX(100);
    light.setY(100);
    light.setZ(50);

    Lighting lighting = new Lighting();
    lighting.setLight(light);
    lighting.setSurfaceScale(5.0);

    Text text = new Text();
    text.setText("Point");
    text.setFill(Color.STEELBLUE);
    text.setFont(Font.font(null, FontWeight.BOLD, 80));
    text.setX(10.0);
    text.setY(10.0);
    text.setTextOrigin(VPos.TOP);

    Rectangle rect = new Rectangle(250, 150);
    rect.setFill(Color.ALICEBLUE);
    rect.setEffect(lighting);
    text.setEffect(lighting);

The code above produces the following:

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Light

  `Light.Distant, Light.Point, Light.Spot`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `x`
  The x coordinate of the light position.
  `final DoubleProperty`
  `y`
  The y coordinate of the light position.
  `final DoubleProperty`
  `z`
  The z coordinate of the light position.

  ### Properties declared in class Light

  `color`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Point()`
  Creates a new instance of Point light with default parameters.
  `Point(double x, double y, double z, Color color)`
  Creates a new instance of Point light with the specified x, y, x, and color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final double`
  `getX()`
  Gets the value of the `x` property.
  `final double`
  `getY()`
  Gets the value of the `y` property.
  `final double`
  `getZ()`
  Gets the value of the `z` property.
  `final void`
  `setX(double value)`
  Sets the value of the `x` property.
  `final void`
  `setY(double value)`
  Sets the value of the `y` property.
  `final void`
  `setZ(double value)`
  Sets the value of the `z` property.
  `final DoubleProperty`
  `xProperty()`
  The x coordinate of the light position.
  `final DoubleProperty`
  `yProperty()`
  The y coordinate of the light position.
  `final DoubleProperty`
  `zProperty()`
  The z coordinate of the light position.

  ### Methods declared in class Light

  `colorProperty, getColor, setColor`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### x

    public final DoubleProperty xProperty
    The x coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    See Also:
      - `getX()`
      - `setX(double)`
      - `xProperty()`

  - ### y

    public final DoubleProperty yProperty
    The y coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    See Also:
      - `getY()`
      - `setY(double)`
      - `yProperty()`

  - ### z

    public final DoubleProperty zProperty
    The z coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    See Also:
      - `getZ()`
      - `setZ(double)`
      - `zProperty()`

- ## Constructor Details

  - ### Point

    public Point()
    Creates a new instance of Point light with default parameters.

  - ### Point

    public Point(double x, double y, double z, Color color)
    Creates a new instance of Point light with the specified x, y, x, and color.
    Parameters:
      `x` - the x coordinate of the light position
      `y` - the y coordinate of the light position
      `z` - the z coordinate of the light position
      `color` - the color of the light
    Since:
      JavaFX 2.1

- ## Method Details

  - ### setX

    public final void setX(double value)
    Sets the value of the `x` property.
    Property description:
      The x coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Parameters:
      `value` - the value for the `x` property
    See Also:
      - `getX()`
      - `xProperty()`

  - ### getX

    public final double getX()
    Gets the value of the `x` property.
    Property description:
      The x coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Returns:
      the value of the `x` property
    See Also:
      - `setX(double)`
      - `xProperty()`

  - ### xProperty

    public final DoubleProperty xProperty()
    The x coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    Returns:
      the `x` property
    See Also:
      - `getX()`
      - `setX(double)`

  - ### setY

    public final void setY(double value)
    Sets the value of the `y` property.
    Property description:
      The y coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Parameters:
      `value` - the value for the `y` property
    See Also:
      - `getY()`
      - `yProperty()`

  - ### getY

    public final double getY()
    Gets the value of the `y` property.
    Property description:
      The y coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Returns:
      the value of the `y` property
    See Also:
      - `setY(double)`
      - `yProperty()`

  - ### yProperty

    public final DoubleProperty yProperty()
    The y coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    Returns:
      the `y` property
    See Also:
      - `getY()`
      - `setY(double)`

  - ### setZ

    public final void setZ(double value)
    Sets the value of the `z` property.
    Property description:
      The z coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Parameters:
      `value` - the value for the `z` property
    See Also:
      - `getZ()`
      - `zProperty()`

  - ### getZ

    public final double getZ()
    Gets the value of the `z` property.
    Property description:
      The z coordinate of the light position.

                Min: n/a
                Max: n/a
            Default: 0.0
           Identity: n/a

    Default value:
      0.0
    Returns:
      the value of the `z` property
    See Also:
      - `setZ(double)`
      - `zProperty()`

  - ### zProperty

    public final DoubleProperty zProperty()
    The z coordinate of the light position.

              Min: n/a
              Max: n/a
          Default: 0.0
         Identity: n/a

    Default value:
      0.0
    Returns:
      the `z` property
    See Also:
      - `getZ()`
      - `setZ(double)`